'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.ThemeToggle = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _Toggle = require('@bootstrap-styled/toggle/lib/components/Toggle');

var _Toggle2 = _interopRequireDefault(_Toggle);

var _reselect = require('reselect');

var _actions = require('../../actions');

var _selectors = require('../../selectors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * ThemeToggle is used to display a select option to change theme
 * @constructor
 */
var ThemeToggle = exports.ThemeToggle = function ThemeToggle(props) {
  return _react2.default.createElement(_Toggle2.default, props);
};

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  value: _selectors.selectValue,
  values: _selectors.selectValues
});

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onToggle: function onToggle(evt) {
      return dispatch((0, _actions.changeTheme)(evt.target.value));
    }
  };
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(ThemeToggle);